<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>mxGraphTransferHandler (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="mxGraphTransferHandler (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxGraphTransferHandler.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">hk.quantr.mxgraph.swing.handler</a></div>
<h2 title="Class mxGraphTransferHandler" class="title">Class mxGraphTransferHandler</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>javax.swing.TransferHandler</li>
<li>
<ul class="inheritance">
<li>hk.quantr.mxgraph.swing.handler.mxGraphTransferHandler</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code>java.io.Serializable</code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">mxGraphTransferHandler</span>
extends javax.swing.TransferHandler</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../serialized-form.html#hk.quantr.mxgraph.swing.handler.mxGraphTransferHandler">Serialized Form</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a id="nested.classes.inherited.from.class.javax.swing.TransferHandler">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;javax.swing.TransferHandler</h3>
<code>javax.swing.TransferHandler.DropLocation, javax.swing.TransferHandler.TransferSupport</code></li>
</ul>
</li>
</ul>
</section>
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.awt.Color</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#DEFAULT_BACKGROUNDCOLOR">DEFAULT_BACKGROUNDCOLOR</a></span></code></th>
<td class="colLast">
<div class="block">Specifies the background color of the transfer image.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#DEFAULT_TRANSFER_IMAGE_ENABLED">DEFAULT_TRANSFER_IMAGE_ENABLED</a></span></code></th>
<td class="colLast">
<div class="block">Boolean that specifies if an image of the cells should be created for
 each transferable.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#importCount">importCount</a></span></code></th>
<td class="colLast">
<div class="block">Counter for the last imported cell array.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#initialImportCount">initialImportCount</a></span></code></th>
<td class="colLast">
<div class="block">Sets the value for the initialImportCount.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected java.awt.datatransfer.Transferable</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#lastImported">lastImported</a></span></code></th>
<td class="colLast">
<div class="block">Reference to the last imported cell array.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected java.awt.Point</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#location">location</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected java.awt.Point</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#offset">offset</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected java.lang.Object[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#originalCells">originalCells</a></span></code></th>
<td class="colLast">
<div class="block">Reference to the original cells for removal after a move.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected java.awt.Color</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#transferImageBackground">transferImageBackground</a></span></code></th>
<td class="colLast">
<div class="block">Specifies the background color for the transfer image.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#transferImageEnabled">transferImageEnabled</a></span></code></th>
<td class="colLast">
<div class="block">Specifies if a transfer image should be created for the transferable.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="fields.inherited.from.class.javax.swing.TransferHandler">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;javax.swing.TransferHandler</h3>
<code>COPY, COPY_OR_MOVE, LINK, MOVE, NONE</code></li>
</ul>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">mxGraphTransferHandler</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#canImport(javax.swing.JComponent,java.awt.datatransfer.DataFlavor%5B%5D)">canImport</a></span>&#8203;(javax.swing.JComponent&nbsp;comp,
         java.awt.datatransfer.DataFlavor[]&nbsp;flavors)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../util/mxGraphTransferable.html" title="class in hk.quantr.mxgraph.swing.util">mxGraphTransferable</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createGraphTransferable(hk.quantr.mxgraph.swing.mxGraphComponent,java.lang.Object%5B%5D,hk.quantr.mxgraph.util.mxRectangle,javax.swing.ImageIcon)">createGraphTransferable</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
                       java.lang.Object[]&nbsp;cells,
                       <a href="../../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;bounds,
                       javax.swing.ImageIcon&nbsp;icon)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../util/mxGraphTransferable.html" title="class in hk.quantr.mxgraph.swing.util">mxGraphTransferable</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createGraphTransferable(hk.quantr.mxgraph.swing.mxGraphComponent,java.lang.Object%5B%5D,javax.swing.ImageIcon)">createGraphTransferable</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
                       java.lang.Object[]&nbsp;cells,
                       javax.swing.ImageIcon&nbsp;icon)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.awt.datatransfer.Transferable</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createTransferable(javax.swing.JComponent)">createTransferable</a></span>&#8203;(javax.swing.JComponent&nbsp;c)</code></th>
<td class="colLast">
<div class="block">(non-Javadoc)</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>javax.swing.ImageIcon</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createTransferableImage(hk.quantr.mxgraph.swing.mxGraphComponent,java.lang.Object%5B%5D)">createTransferableImage</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
                       java.lang.Object[]&nbsp;cells)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#exportDone(javax.swing.JComponent,java.awt.datatransfer.Transferable,int)">exportDone</a></span>&#8203;(javax.swing.JComponent&nbsp;c,
          java.awt.datatransfer.Transferable&nbsp;data,
          int&nbsp;action)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>protected java.lang.Object</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getDropTarget(hk.quantr.mxgraph.swing.mxGraphComponent,hk.quantr.mxgraph.swing.util.mxGraphTransferable)">getDropTarget</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
             <a href="../util/mxGraphTransferable.html" title="class in hk.quantr.mxgraph.swing.util">mxGraphTransferable</a>&nbsp;gt)</code></th>
<td class="colLast">
<div class="block">Returns the drop target for the given transferable and location.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getImportCount()">getImportCount</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getSourceActions(javax.swing.JComponent)">getSourceActions</a></span>&#8203;(javax.swing.JComponent&nbsp;c)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>java.awt.Color</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getTransferImageBackground()">getTransferImageBackground</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>protected java.lang.Object[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#importCells(hk.quantr.mxgraph.swing.mxGraphComponent,hk.quantr.mxgraph.swing.util.mxGraphTransferable,double,double)">importCells</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
           <a href="../util/mxGraphTransferable.html" title="class in hk.quantr.mxgraph.swing.util">mxGraphTransferable</a>&nbsp;gt,
           double&nbsp;dx,
           double&nbsp;dy)</code></th>
<td class="colLast">
<div class="block">Gets a drop target using getDropTarget and imports the cells using
 mxGraph.splitEdge or mxGraphComponent.importCells depending on the
 drop target and the return values of mxGraph.isSplitEnabled and
 mxGraph.isSplitTarget.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#importData(javax.swing.JComponent,java.awt.datatransfer.Transferable)">importData</a></span>&#8203;(javax.swing.JComponent&nbsp;c,
          java.awt.datatransfer.Transferable&nbsp;t)</code></th>
<td class="colLast">
<div class="block">Checks if the mxGraphTransferable data flavour is supported and calls
 importGraphTransferable if possible.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#importGraphTransferable(hk.quantr.mxgraph.swing.mxGraphComponent,hk.quantr.mxgraph.swing.util.mxGraphTransferable)">importGraphTransferable</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
                       <a href="../util/mxGraphTransferable.html" title="class in hk.quantr.mxgraph.swing.util">mxGraphTransferable</a>&nbsp;gt)</code></th>
<td class="colLast">
<div class="block">Returns true if the cells have been imported using importCells.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isLocalDrag()">isLocalDrag</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns true if the DnD operation started from this handler.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isTransferImageEnabled()">isTransferImageEnabled</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#removeCells(hk.quantr.mxgraph.swing.mxGraphComponent,java.lang.Object%5B%5D)">removeCells</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
           java.lang.Object[]&nbsp;cells)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setImportCount(int)">setImportCount</a></span>&#8203;(int&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setLocation(java.awt.Point)">setLocation</a></span>&#8203;(java.awt.Point&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setOffset(java.awt.Point)">setOffset</a></span>&#8203;(java.awt.Point&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setTransferImageBackground(java.awt.Color)">setTransferImageBackground</a></span>&#8203;(java.awt.Color&nbsp;transferImageBackground)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setTransferImageEnabled(boolean)">setTransferImageEnabled</a></span>&#8203;(boolean&nbsp;transferImageEnabled)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#updateImportCount(java.awt.datatransfer.Transferable)">updateImportCount</a></span>&#8203;(java.awt.datatransfer.Transferable&nbsp;t)</code></th>
<td class="colLast">
<div class="block">Counts the number of times that the given transferable has been imported.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.javax.swing.TransferHandler">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;javax.swing.TransferHandler</h3>
<code>canImport, exportAsDrag, exportToClipboard, getCopyAction, getCutAction, getDragImage, getDragImageOffset, getPasteAction, getVisualRepresentation, importData, setDragImage, setDragImageOffset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="DEFAULT_TRANSFER_IMAGE_ENABLED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DEFAULT_TRANSFER_IMAGE_ENABLED</h4>
<pre>public static&nbsp;boolean DEFAULT_TRANSFER_IMAGE_ENABLED</pre>
<div class="block">Boolean that specifies if an image of the cells should be created for
 each transferable. Default is true.</div>
</li>
</ul>
<a id="DEFAULT_BACKGROUNDCOLOR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DEFAULT_BACKGROUNDCOLOR</h4>
<pre>public static&nbsp;java.awt.Color DEFAULT_BACKGROUNDCOLOR</pre>
<div class="block">Specifies the background color of the transfer image. If no
 color is given here then the background color of the enclosing
 graph component is used. Default is Color.WHITE.</div>
</li>
</ul>
<a id="originalCells">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>originalCells</h4>
<pre>protected&nbsp;java.lang.Object[] originalCells</pre>
<div class="block">Reference to the original cells for removal after a move.</div>
</li>
</ul>
<a id="lastImported">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>lastImported</h4>
<pre>protected&nbsp;java.awt.datatransfer.Transferable lastImported</pre>
<div class="block">Reference to the last imported cell array.</div>
</li>
</ul>
<a id="initialImportCount">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>initialImportCount</h4>
<pre>protected&nbsp;int initialImportCount</pre>
<div class="block">Sets the value for the initialImportCount. Default is 1. Updated in
 exportDone to contain 0 after a cut and 1 after a copy.</div>
</li>
</ul>
<a id="importCount">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>importCount</h4>
<pre>protected&nbsp;int importCount</pre>
<div class="block">Counter for the last imported cell array.</div>
</li>
</ul>
<a id="transferImageEnabled">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>transferImageEnabled</h4>
<pre>protected&nbsp;boolean transferImageEnabled</pre>
<div class="block">Specifies if a transfer image should be created for the transferable.
 Default is DEFAULT_TRANSFER_IMAGE.</div>
</li>
</ul>
<a id="transferImageBackground">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>transferImageBackground</h4>
<pre>protected&nbsp;java.awt.Color transferImageBackground</pre>
<div class="block">Specifies the background color for the transfer image. Default is
 DEFAULT_BACKGROUNDCOLOR.</div>
</li>
</ul>
<a id="location">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>location</h4>
<pre>protected&nbsp;java.awt.Point location</pre>
</li>
</ul>
<a id="offset">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>offset</h4>
<pre>protected&nbsp;java.awt.Point offset</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>mxGraphTransferHandler</h4>
<pre>public&nbsp;mxGraphTransferHandler()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getImportCount()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getImportCount</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getImportCount()</pre>
</li>
</ul>
<a id="setImportCount(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setImportCount</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setImportCount&#8203;(int&nbsp;value)</pre>
</li>
</ul>
<a id="setTransferImageEnabled(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTransferImageEnabled</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setTransferImageEnabled&#8203;(boolean&nbsp;transferImageEnabled)</pre>
</li>
</ul>
<a id="isTransferImageEnabled()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isTransferImageEnabled</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isTransferImageEnabled()</pre>
</li>
</ul>
<a id="setTransferImageBackground(java.awt.Color)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTransferImageBackground</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setTransferImageBackground&#8203;(java.awt.Color&nbsp;transferImageBackground)</pre>
</li>
</ul>
<a id="getTransferImageBackground()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTransferImageBackground</h4>
<pre class="methodSignature">public&nbsp;java.awt.Color&nbsp;getTransferImageBackground()</pre>
</li>
</ul>
<a id="isLocalDrag()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isLocalDrag</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isLocalDrag()</pre>
<div class="block">Returns true if the DnD operation started from this handler.</div>
</li>
</ul>
<a id="setLocation(java.awt.Point)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLocation</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setLocation&#8203;(java.awt.Point&nbsp;value)</pre>
</li>
</ul>
<a id="setOffset(java.awt.Point)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOffset</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setOffset&#8203;(java.awt.Point&nbsp;value)</pre>
</li>
</ul>
<a id="canImport(javax.swing.JComponent,java.awt.datatransfer.DataFlavor[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>canImport</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;canImport&#8203;(javax.swing.JComponent&nbsp;comp,
                         java.awt.datatransfer.DataFlavor[]&nbsp;flavors)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>canImport</code>&nbsp;in class&nbsp;<code>javax.swing.TransferHandler</code></dd>
</dl>
</li>
</ul>
<a id="createTransferable(javax.swing.JComponent)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createTransferable</h4>
<pre class="methodSignature">public&nbsp;java.awt.datatransfer.Transferable&nbsp;createTransferable&#8203;(javax.swing.JComponent&nbsp;c)</pre>
<div class="block">(non-Javadoc)</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>createTransferable</code>&nbsp;in class&nbsp;<code>javax.swing.TransferHandler</code></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>TransferHandler.createTransferable(javax.swing.JComponent)</code></dd>
</dl>
</li>
</ul>
<a id="createGraphTransferable(hk.quantr.mxgraph.swing.mxGraphComponent,java.lang.Object[],javax.swing.ImageIcon)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createGraphTransferable</h4>
<pre class="methodSignature">public&nbsp;<a href="../util/mxGraphTransferable.html" title="class in hk.quantr.mxgraph.swing.util">mxGraphTransferable</a>&nbsp;createGraphTransferable&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
                                                   java.lang.Object[]&nbsp;cells,
                                                   javax.swing.ImageIcon&nbsp;icon)</pre>
</li>
</ul>
<a id="createGraphTransferable(hk.quantr.mxgraph.swing.mxGraphComponent,java.lang.Object[],hk.quantr.mxgraph.util.mxRectangle,javax.swing.ImageIcon)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createGraphTransferable</h4>
<pre class="methodSignature">public&nbsp;<a href="../util/mxGraphTransferable.html" title="class in hk.quantr.mxgraph.swing.util">mxGraphTransferable</a>&nbsp;createGraphTransferable&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
                                                   java.lang.Object[]&nbsp;cells,
                                                   <a href="../../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;bounds,
                                                   javax.swing.ImageIcon&nbsp;icon)</pre>
</li>
</ul>
<a id="createTransferableImage(hk.quantr.mxgraph.swing.mxGraphComponent,java.lang.Object[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createTransferableImage</h4>
<pre class="methodSignature">public&nbsp;javax.swing.ImageIcon&nbsp;createTransferableImage&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
                                                     java.lang.Object[]&nbsp;cells)</pre>
</li>
</ul>
<a id="exportDone(javax.swing.JComponent,java.awt.datatransfer.Transferable,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>exportDone</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;exportDone&#8203;(javax.swing.JComponent&nbsp;c,
                       java.awt.datatransfer.Transferable&nbsp;data,
                       int&nbsp;action)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>exportDone</code>&nbsp;in class&nbsp;<code>javax.swing.TransferHandler</code></dd>
</dl>
</li>
</ul>
<a id="removeCells(hk.quantr.mxgraph.swing.mxGraphComponent,java.lang.Object[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeCells</h4>
<pre class="methodSignature">protected&nbsp;void&nbsp;removeCells&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
                           java.lang.Object[]&nbsp;cells)</pre>
</li>
</ul>
<a id="getSourceActions(javax.swing.JComponent)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSourceActions</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getSourceActions&#8203;(javax.swing.JComponent&nbsp;c)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>getSourceActions</code>&nbsp;in class&nbsp;<code>javax.swing.TransferHandler</code></dd>
</dl>
</li>
</ul>
<a id="importData(javax.swing.JComponent,java.awt.datatransfer.Transferable)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>importData</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;importData&#8203;(javax.swing.JComponent&nbsp;c,
                          java.awt.datatransfer.Transferable&nbsp;t)</pre>
<div class="block">Checks if the mxGraphTransferable data flavour is supported and calls
 importGraphTransferable if possible.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>importData</code>&nbsp;in class&nbsp;<code>javax.swing.TransferHandler</code></dd>
</dl>
</li>
</ul>
<a id="updateImportCount(java.awt.datatransfer.Transferable)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateImportCount</h4>
<pre class="methodSignature">protected&nbsp;void&nbsp;updateImportCount&#8203;(java.awt.datatransfer.Transferable&nbsp;t)</pre>
<div class="block">Counts the number of times that the given transferable has been imported.</div>
</li>
</ul>
<a id="importGraphTransferable(hk.quantr.mxgraph.swing.mxGraphComponent,hk.quantr.mxgraph.swing.util.mxGraphTransferable)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>importGraphTransferable</h4>
<pre class="methodSignature">protected&nbsp;boolean&nbsp;importGraphTransferable&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
                                          <a href="../util/mxGraphTransferable.html" title="class in hk.quantr.mxgraph.swing.util">mxGraphTransferable</a>&nbsp;gt)</pre>
<div class="block">Returns true if the cells have been imported using importCells.</div>
</li>
</ul>
<a id="getDropTarget(hk.quantr.mxgraph.swing.mxGraphComponent,hk.quantr.mxgraph.swing.util.mxGraphTransferable)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDropTarget</h4>
<pre class="methodSignature">protected&nbsp;java.lang.Object&nbsp;getDropTarget&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
                                         <a href="../util/mxGraphTransferable.html" title="class in hk.quantr.mxgraph.swing.util">mxGraphTransferable</a>&nbsp;gt)</pre>
<div class="block">Returns the drop target for the given transferable and location.</div>
</li>
</ul>
<a id="importCells(hk.quantr.mxgraph.swing.mxGraphComponent,hk.quantr.mxgraph.swing.util.mxGraphTransferable,double,double)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>importCells</h4>
<pre class="methodSignature">protected&nbsp;java.lang.Object[]&nbsp;importCells&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
                                         <a href="../util/mxGraphTransferable.html" title="class in hk.quantr.mxgraph.swing.util">mxGraphTransferable</a>&nbsp;gt,
                                         double&nbsp;dx,
                                         double&nbsp;dy)</pre>
<div class="block">Gets a drop target using getDropTarget and imports the cells using
 mxGraph.splitEdge or mxGraphComponent.importCells depending on the
 drop target and the return values of mxGraph.isSplitEnabled and
 mxGraph.isSplitTarget. Selects and returns the cells that have been
 imported.</div>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxGraphTransferHandler.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
